0

Программатор CAN Телематика 2.2

Wrungel 3 years ago • updated by Старик 3 years ago 13
Подскажите в чем может быть проблема: хотел обновить can через программатор. поставил программу, скачал прошивку, обновил, а настроить не могу. при нажатии меню база данных и настройки программа вылетает с ошибкой. Прекращена работа программы Starline Can telematics. не получается ни на ноуте (windows 7 x86) ни на компе (windows 7 X64).
раньше проблем не было таких. может какое обновление у винды пришло?
Теперь еще не понятнее стало. CAN интерфейс. обновил до последней 2.8 В итоге при обращении к базе данных и к настройкам программа прекращает работу.
такая же ситуация и с версиями 2,5-2,8. Откатился до 2,4 программа заработала. Прошил опять 2,8 снова завершает работу. 
Сигнализация Starline A94 CAN GSM. автомобиль Форд Фокус 3. 
Прошу помочь разобраться
Очень похоже на то что просто КАН из первых..может проблема в этом?
Да, Андрей Мишагин,  посмотритет - что у Вас написано на плате  - просто CAN или 2CAN? Если не ошибаюсь - версии прошивок , начиная с 2.5 работают только с 2CAN...
Последняя версия CAN - 2.8
Если у вас все работает на прошивке 2.4, зачем менять?
У ПО 2.4 и 2.8 в CAN вроде все одинаково.
Старик
Последняя для моего CAN 2.8. 
Eugenyc
Если бы все работало может быть и не стал, хотя по моему всегда следует стремится обновлять прошивку - тем более что это официальный релиз. То что CAN модуль сняли с поддержки, не доделав до конца - это другой вопрос. Я конкретно по работе на моем автомобиле. 

А вообще с 2.4 - не корректно работает со штатной охраной автомобиля, конкретнее не снимает с охраны. Это давно известный факт. в 2.8 получше. Ко всему косяк с работой аварийной сигнализацией - живет своей жизнью

PS Причину я выяснил сам методом научного тыка. Версия программы 2,2 не работает с модулем CAN, только с 2CAN. Старлайновцем очередной "респект" за то это. Ни слова нигде про это не сказано.
Wrungel (Андрей?) - я спрашивал НЕ ПРО АВТОМОБИЛЬ и ВЕРСИИ ПО Can, которые написаны для вашего автомобиля и выложены в разделе техподдержки. Я спрашивал - ЧТО НАПИСАНО НА ПЛАТКЕ, воткнутой в материнскую плату А94, если развинтить корпус блока сигнализации. Судя по последнему Вашему сообщению - у Вас ИМЕННО СТАРАЯ плата CAN-адаптера. С НАДПИСЬЮ "CAN".

Около года (может чуть больше) Ультрастар перешел на новую модификацию, ПОЗВОЛЯЮЩУЮ ПОДКЛЮЧАТЬСЯ к ДВУМ шинам на борту автомобиля  - к сожалению на современных автомобилях все чаще МОТОРНАЯ шина и КУЗОВНАЯ шина - это РАЗНЫЕ шины CAN - а для работы сигнализации нужна информация и оттуда и оттуда. Новый адаптер получил имя 2CAN (теперь есть еще и CAN+LIN и это не одно и тоже!!!).
Если Вы хотите использовать ПО версии выше 2.5, то Вам придется приобрести адаптер 2CAN...

CЕ ЛЯ ВИ. Процесс наработок идет непрерывно и Ваши желания вступили в конфликт с возможностями ЖЕЛЕЗА...
Ведь контрстрайк тоже не пойдет на 486 проце. Только старый Wolf...

Надеюсь, что Ультрастар УЧТЕТ Ваше пожелание (тем более - Вы не единственный в своем пожелании) и в разделе, посвященном возможностям CAN-подключений ПОЯВЯТСЯ определенные ОГРАНИЧЕНИЯ по совместимости ПО и ЖЕЛЕЗА, и/или будет дополнительная информация по применяемости и АПГРЕЙТУ... 
На плате у меня написано StarLine. но модификация старая CAN (не 2CAN). Моя модификация CAN поддерживается до версии программного обеспечения 2.8. Это 100%. Насколько я знаю 2CAN плату просто так не поставить в мою сигнализацию.
Теперь про обновление: Обновить CAN модуль  я смог через программное обеспечение 2.1.ххх до версии 2,8.

ПО поводу движения вперед: полностью согласен. Прогресс тормозить нельзя. Но закрывать проект не доделав.... похоже на китайские методы. По специфике работы с компаниями из поднебесной, знаю о чем говорю. Сигнализация + установка = 23000 рублей, а получается я не получил что хотел. С уважением )
Ну что я могу сказать... ДА,  прогресс требует ЖЕРТВ.  И те, кто установили в 2012..2013гг  НА ТОТ МОМЕНТ самую СВЕЖУЮ модель сигнализации ЧЕТВЕРТОГО поколения СЕЙЧАС очень сильно ОБИЖЕНЫ на то, что ИМ недоступенн ФУНКЦИОНАЛ ТЕЛЕМАТИКИ-2 и другие ПЛЮШКИ, появившиеся  в результате ОБНОВЛЕНИЯ платформы (это было НЕИЗБЕЖНО из-за необходимости обеспечения подключения К ДВУМ шинам на борту...). Если честно - стараюсь  НАЧИНАТЬ МАССОВО устанавливать клиентам сигнализации определенной модели только по истечении как минимум полугода (а то и года)  с момента выпуска первых партий такой модели. В том числе и по той причине, с которой столкнулись Вы...
Проект НЕ ЗАКРЫТ, просто он перерос в новое качество, в том числе и "по вине" автопроизводителей и ПРИ НЕПОСРЕДСТВЕННОМ участии ПОЛЬЗОВАТЕЛЕЙ сигнализаций, начавших вносить свои ПРЕДЛОЖЕНИЯ по усоврешенствованию и расширению возможностей ТЕЛЕМАТИКИ...

Следите за новостями. Не исключено, что ФИРМА пойдет на акцию МОДЕРНИЗАЦИЯ-2 по замене плат 4поколения первых выпусков на самые актуальные ДЛЯ ЖЕЛАЮЩИХ за разумные деньги (до сих пор действует акция МОДЕРНИЗАЦИЯ по замене НЕДИАЛОГОВЫХ устаревших систем на СОВМЕСТИМЫЕ ПО РАЗЪЕМАМ диалоговые системы).
Ну а пока мириться с тем, чем располагаете...
да спасибо, придется.
Проблема, скорее всего, в косяке программы версии 2.2. Несколько раз обновлял до 2.8 с помощью более старых программ, проблем не было.
Опять же, что мешает залить 2.8, а настроить вручную, с помощью кнопки валет?
Программатор скачивали как давно с сайта?
как решил обновить, так и скачал. ) То что виновата программа 2,2 я уже разобрался. обновил и настроил сигу с программой 2.1.18023
+1
Скорее всего, разработчики, уделяя повышенное внимание актуальным прошивкам для кан-лин, 2кан и 2кан35, упускают что-то из виду для неактуальных 1кан.